Cockos Incorporated Forums

Cockos Incorporated Forums (https://forum.cockos.com/index.php)
-   WDL users forum (https://forum.cockos.com/forumdisplay.php?f=32)
-   -   Help with AU validation (auval)- my plug pass in one MAC but fails at another (https://forum.cockos.com/showthread.php?t=203001)

AlonR 02-08-2018 07:12 AM

Help with AU validation (auval)- my plug pass in one MAC but fails at another
 
Hi guys and gals

I'm having a problem with auval and i need your help please: I am making a plug using WDL-OL and martin finke's guide, and the VST was working perfectly.
When trying to compile for AU the auval tool (and similarly, plugin manager in logic) gave me the "meta parameter flag" error ("ERROR: Parameter values are different since last set "), which i solved as mentioned in this answer, and then the auval give a "pass" output for my plug.

Afterward, I tried to use the plugin in a second computer I have, but in this second computer the auval returned "failed" with the very same "meta parameter flag" error.

Do you know why did it happen?
Should I do more steps while copying the plugin, beside just putting the <name>.component in the "Library/audio/plugins/component" folder? (I put it in Hard-Drive's "library", and not in user's library. Is it matters?)

My second computer is running a different OSX version - The compiling computer (where the plug passes) runs El Capitan (10.11.6) and the faulty computer runs "High Sierra" (10.13.3) - may it be the cause?

Can it be that some resources are present in the compiling computer but not in the new computer? shouldn't the component file be a complete package containing all the needed resources? If it doesn't, how do i check which part was left out of the component file?

For compiling I use xCode 8.1, auval version (in both computers) is 1.6.1a1.

Many thanks for your answers and inputs

Bobflip 02-08-2018 07:47 AM

My first thought is to ask if you've cleared the plugin cache on both machines?

The other is that it could be an issue of High Sierra compatibility... don't know either way if that has or hasn't been implemented in the framework yet. Cam anyone else confirm?

AlonR 02-08-2018 08:06 AM

Thanks for answering.

Yes, I clear the AU cache as mentioned in this link

Is there a known issue with Sierra? If it does, can you link to it please?

Thanks

Bobflip 02-08-2018 08:17 AM

I don't know if the framework is compatible with High Sierra yet, but I also don't know if it isn't. Also Sierra and High Sierra are different OSes. Not all major developers support HS yet!


All times are GMT -7. The time now is 06:28 PM.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2018, vBulletin Solutions Inc.